#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QStandardItemModel>
#include "chatmessagedelegate.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    int line;
    QStandardItemModel* m_DataModel;
    ChatMessageDelegate* m_Delegate;


public slots:
    void readMoreLogLines(int value);
    void loadLogMessages(QList<QString> list);
};

#endif // MAINWINDOW_H
