#ifndef CHATMESSAGEDELEGATE_H
#define CHATMESSAGEDELEGATE_H

#include <QStyledItemDelegate>
#include <QtGui>

class ChatMessageDelegate : public QStyledItemDelegate
{
public:
    enum datarole
    {
        idRole = Qt::UserRole + 100,
        textRole = Qt::UserRole + 101
    };

    ChatMessageDelegate();

    void paint(QPainter *painter, const QStyleOptionViewItem &options,
               const QModelIndex &index) const;

    QSize sizeHint(const QStyleOptionViewItem &option,
                   const QModelIndex &index ) const;
};

#endif // CHATMESSAGEDELEGATE_H
